# FileSchemaTestClass

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**File** | Pointer to [**File**](File.md) |  | [optional] 
**Files** | Pointer to [**[]File**](File.md) |  | [optional] 

## Methods

### GetFile

`func (o *FileSchemaTestClass) GetFile() File`

GetFile returns the File field if non-nil, zero value otherwise.

### GetFileOk

`func (o *FileSchemaTestClass) GetFileOk() (File, bool)`

GetFileOk returns a tuple with the File field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### HasFile

`func (o *FileSchemaTestClass) HasFile() bool`

HasFile returns a boolean if a field has been set.

### SetFile

`func (o *FileSchemaTestClass) SetFile(v File)`

SetFile gets a reference to the given File and assigns it to the File field.

### GetFiles

`func (o *FileSchemaTestClass) GetFiles() []File`

GetFiles returns the Files field if non-nil, zero value otherwise.

### GetFilesOk

`func (o *FileSchemaTestClass) GetFilesOk() ([]File, bool)`

GetFilesOk returns a tuple with the Files field if it's non-nil, zero value otherwise
and a boolean to check if the value has been set.

### HasFiles

`func (o *FileSchemaTestClass) HasFiles() bool`

HasFiles returns a boolean if a field has been set.

### SetFiles

`func (o *FileSchemaTestClass) SetFiles(v []File)`

SetFiles gets a reference to the given []File and assigns it to the Files field.


[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)


